<div class="recent-payments">
  <h2 class="recent-payments__title">
    {{ "CUSTOMERS.CUSTOMER_PROFILE.RECENT_PAYMENTS.TITLE" | translate }}
  </h2>
  <p class="recent-payments__description">
    {{ "CUSTOMERS.CUSTOMER_PROFILE.RECENT_PAYMENTS.DESCRIPTION" | translate }}
  </p>
  <div class="recent-payments__table">
    <mo-table
      [designClass]="designClass"
      [headers]="headers"
      [data]="payments$ | async"
      [fixedMinWidth]="false"
      [isLoading]="isLoading$ | async"
      [loadingColumns]="4"
    ></mo-table>
    <div class="buttons" *ngIf="customerId$ | async as customer_id">
      <mo-button
        [text]="
          'CUSTOMERS.CUSTOMER_PROFILE.RECENT_PAYMENTS.BTN_VISIT_PAYMENTS'
            | translate
        "
        [designClass]="BUTTON_DESIGN_CLASS.PRIMARY"
        [displayBlock]="true"
        [size]="SIZES.MD"
        [routerLink]="paymentsUrl"
        [queryParams]="{ customer_id }"
      ></mo-button>
    </div>
  </div>
</div>
